package com.lakala.zf.laop.java.sdk.demo.v2;

import com.lakala.zf.laop.java.sdk.demo.BaseCommonDemo;
import com.lkl.laop.sdk.LKLSDK;
import com.lkl.laop.sdk.request.V2LaepIndustryBankcardBindRequest;

/**
 * @author nxj
 * @date 2024/1/16 13:30
 * @description 账管家V2.0-绑定银行卡
 */
public class V2LaepIndustryBankcardBindRequestDemo extends BaseCommonDemo {
    public static void main(String[] args) throws Exception {
        // 1. 配置初始化
        doInit();

        //2. 装配数据
        V2LaepIndustryBankcardBindRequest req = new V2LaepIndustryBankcardBindRequest();
        req.setBmcpNo("1");
        req.setMercId("8221000581200BS");
        req.setBankNo("111");
        req.setBankName("中国工商银行");
        req.setClearingBankCode("111");
        req.setBankcardNo("666666");
        req.setType("1");
        req.setDefaultFlag("0");
        req.setAcctCity("北京");
        req.setAcctBank("**支行");
        req.setValidate("2099-01-01");
        req.setRemark("备注");

        //3. 发送请求
        String response = LKLSDK.httpPost(req, true, false);

        //4. 响应
        System.out.println(response);
    }
}
